Bug 64571 - Install kernel freezes after megaraid module loads
Install kernel freezes after megaraid module loads
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 23:35 EDT by James Bourne
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bourne 2002-05-07 23:35:10 EDT
Description of Problem:
During installation on a Dell 2300 with AMI MegaRAID(PERC2/SC, Firmware version
3.13/Bios 1.43) the boot freezes with:
scsi aborting command due to timeout: pid0, scsi0, ch0, id0 lun0 0x12 00 00 00
FF 00

Version-Release number of selected component (if applicable):
Red Hat 7.3, Kernel 2.4.18, boot image boot.img or from CD.

How Reproducible:

Steps to Reproduce:
1.Boot from CD or boot.img on above hardware 
2.Wait until megaraid is detected and driver loads, system does not proceed to
boot (Waiting for SCSI cmd timeout?)
3. Press <ctrl><alt><del> console freezes solid

Actual Results:


Expected Results:
Boot on install image and start install.

Additional Information:
	
Anything you need, let me know.
Comment 1 James Bourne 2002-05-08 13:24:15 EDT
I've replaced the 1.18a megaraid driver with the 1.18 version from the dist
2.4.18 kernel.  The system is still locking up on boot in the exact location in
the boot sequence.  I'm continuing my testing.
Comment 2 James Bourne 2002-05-08 16:50:39 EDT
This may be a hardware problem.  I managed to free an almost identical system
and it has booted.  I will confirm the specifics of hardware/software and post
the resulting information.
Comment 3 Arjan van de Ven 2002-05-21 05:24:17 EDT
this might be an interrupt issue; if you have 2 identical systems where one
works and the other doesn't then checking the bios for "mptable" "mps" or "acpi"
settings and comparing them with the working system might prove interesting
Comment 4 Mark Allen 2002-05-23 21:13:44 EDT
Just a "me too" comment.  We have an older Intel mobo with an LSI (nee AMI)
Express 200. We updated it to the latest 1.48 firmware, and I see on other
bugzilla entries that 1.58 apparently works.  The question is: how can we get
1.58 firmware for this controller?  LSI's webpage has 1.48 as the latest version
available.

Any ideas?
Comment 5 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.